## make-dfsg 4.0

=== debian/changelog ===
make-dfsg (4.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip the work/misc/fopen-fail.mk as it is testing the underlying
    machine, not the built code from the package and is machine-dependent.
    (Closes: #748657)

 -- Neil Williams <codehelp@debian.org>  Sat, 17 Jan 2015 18:30:17 +0000

make-dfsg (4.0-8) unstable; urgency=high

  * Update the timeout for the fopen fail test to 300 seconds, since the
    test was taking longer than the default 5 seconds to run. The root
    cause was discovered by Víctor M. Jáquez L. (Closes: #748657)
  * Bug fix #748657: "make-dfsg failed to run test: work/misc/fopen-fail.mk",
    thanks to Yunqiang Su.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 13 Jun 2014 15:54:27 -0700

make-dfsg (4.0-7) unstable; urgency=low

  * There is an issue involving UTF-8 characters and the function
    find_char_unquote (read.c). The problem in the macro STOP_SET
    (makeint.h) where a character is converted to an int. Conversion to
    int is not correct. Characters with codes greater than 0x7f ( in
    particular in Cyrillic UTF- 8 ) into a large negative number. Thnks to
    the analysis from Юрий Матронов <ymuser@mail.ru>. This bug was
    independently reported and fixed upstream, so cherry picking that
    commit from upstream (which also comes with a test).
    (Closes: #747764).
  * added a script that, given a list of targets, will build the first
    target that actually exists. Script created by Joey Hess.
    (Closes: #598534).
  * Bug fix #747764: "make 4.0-5 bug", thanks to Юрий Матронов
  * Bug fix #598534: "add make-first-existing-target", thanks to Joey Hess

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 May 2014 18:22:39 -0700

make-dfsg (4.0-6) unstable; urgency=medium

  * Also create a new binary package, make-guile, which is identical to
    the make package, but has built in support for Guile a a programming
    langiage, and adds run time dependencies outside of libc.
    (Closes: #747615,  #747674).
  * Bug fix #747615: "Please provide a version with Guile support
    enabled", thanks to Jose Antonio Ortega Ruiz
  * Bug fix #747674: "undeterministic build due to missing configure
    arguments/build-conflicts", thanks to Bernhard R. Link

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 11 May 2014 20:51:24 -0700

make-dfsg (4.0-5) unstable; urgency=low

  * When presented with a very very long command line (e.g. WebKit's linking
    of libWebCore.la in current git), make fails to execute the command as
    it doesn't split the command line to fit within the limits. There is a
    patch used by people to solve this (gentoo, etc). Adam Conrad has
    provided a patch to fix this.  (Closes: #688601).
  * Pre-4.0 make had an memory corruption issue that caused repeated
    execution of a specific makefile to display the cirruption. Running
    with make 4.0 does not show the issue. (Closes: #682895).
  * recently, the Multi-Arch: foreign tag was added toth make binary
    package.  Jakub Wilk pointed out that this is not correct, some of the
    make interfaces are actually architecture-dependent. Reverting that
    change.
  * Bug fix #688601: "fails to execute extraordinarily long command
    lines", thanks to Daniel Stone
  * Bug fix #682895: "incorrect variable handling and corruption", thanks
    to Tim Spriggs

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 04 May 2014 18:13:40 -0700

make-dfsg (4.0-4) unstable; urgency=low

  * Movint this version of make to unstable, All known problems exposed in
    the archive rebuild have been fixed. There is no change in this
    version apart from the ditribution change

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 02 May 2014 18:32:32 -0700

make-dfsg (4.0-3) experimental; urgency=medium

  * Cherry pick upstream patch to Propagate correct rule status results.
  * Bug fix: "New make behaviour confuses dpkg-buildpackages&#39; test for
    make targets". Fixed by above. (Closes: #746443).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 01 May 2014 22:09:08 -0700

make-dfsg (4.0-2) experimental; urgency=medium

  * Pull back some patches from upstream git that fix bugs. One of these
    converts the mixed implicit and explicit rule error into a warning,
    and that should give us a grace period to fix the Makefiles,
  * Bug fix: "FTBFS with make 3.82 from experimental", thanks to Daniel
    Schepler. This package was not reported broken in the archive rebuild:
    see http://aws-logs.debian.net/ftbfs-logs/results-make4/ (Closes: #720686).
  * Bug fix: "make 3.82: with -j tries to run receipes without
    prerequisites yet done", thanks to Bernhard R. Link. This was not seen
    in the archive rebuild, and the upstream report has ben closed a being
    fixed in 4.0 (Closes: #722520).
  * Bug fix: "run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4", thanks to Wookey. We now do indeed run
    autoreconf.  (Closes: #689626).
  * Bug fix: "spurious circular dependency", thanks to Frank Heckenbach
    Bug fixed in new version.  (Closes: #669968).
  * Bug fix: "make 3.82: fails to parse archive syntax", thanks to Andrew
    Shadura (Closes: #675612).
  * Bug fix: "binary package make lacks &quot;Multi-Arch: foreign&quot;
    declaration", thanks to Helmut Grohne (Closes: #693926).
  * Bug fix: "make 3.82 breaks kernel module build: &#39;mixed implicit
    and normal rules&#39; in linux-headers-*", thanks to Dean Loros
    (Closes: #635317).
  * Bug fix: "please package upstream version 4.0", thanks to Andrew
    Shadura (Closes: #734387).
  * Bug fix: "optionally echo all commands, even if preceded with @",
    thanks to Vincent Lefevre (Closes: #451092).
  * Bug fix: "&quot;Make is a HUGE memory hog&quot;", thanks to Matthias
    Klose (Closes: #342726).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Apr 2014 23:57:19 -0700

make-dfsg (4.0-1) experimental; urgency=low

  * New upstream release


