=== debian/control ===
Source: make-dfsg
VCS-Git: git://anonscm.debian.org/users/srivasta/debian/make-dfsg.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=users/srivasta/debian/make-dfsg.git
Section: devel
Priority: standard
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.9.5.0
Homepage: http://www.gnu.org/software/make/
Build-Depends: gettext, po-debconf, debhelper (>= 9.0.0), dh-autoreconf,
               autoconf, automake | automaken, autopoint, file, pkg-config,
               guile-2.0-dev

Package: make
Suggests: make-doc
Conflicts: make-guile
Architecture: any
Replaces: make-guile
Description: utility for directing compilation
 GNU Make is a utility which controls the generation of executables
 and other target files of a program from the program's source
 files. It determines automatically which pieces of a large program
 need to be (re)created, and issues the commands to (re)create
 them. Make can be used to organize any task in which targets (files)
 are to be automatically updated based on input files whenever the
 corresponding input is newer --- it is not limited to building
 computer programs. Indeed, Make is a general purpose dependency
 solver.
Depends: ${shlibs:Depends}, ${misc:Depends}

Package: make-guile
Suggests: make-doc
Conflicts: make
Provides: make
Replaces: make
Architecture: any
Description: utility for directing compilation with guile support
 GNU Make is a utility which controls the generation of executables
 and other target files of a program from the program's source
 files. It determines automatically which pieces of a large program
 need to be (re)created, and issues the commands to (re)create
 them. Make can be used to organize any task in which targets (files)
 are to be automatically updated based on input files whenever the
 corresponding input is newer --- it is not limited to building
 computer programs. Indeed, Make is a general purpose dependency
 solver. This variant has built in guile support
Depends: ${shlibs:Depends}, ${misc:Depends}
