## make-dfsg 4.4.1

=== debian/changelog ===
make-dfsg (4.4.1-3) unstable; urgency=medium

  * Avoid test failures on arm64 caused by GCS-related warnings. Closes:
    #1120418.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

 -- Stephen Kitt <skitt@debian.org>  Sun, 09 Nov 2025 22:38:53 +0100

make-dfsg (4.4.1-2) unstable; urgency=medium

  * Pull in the 4.4.1 man page. Starting with the next release, the
    package will ship the upstream man page directly instead of keeping
    a separate copy. Closes: #1091889.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 06 Apr 2025 15:01:07 +0200

make-dfsg (4.4.1-1) unstable; urgency=medium

  [ Victor Westerhuis ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update and minimize upstream signing key.
  * Automate removal of documentation with d/copyright.
  * New upstream version 4.4. Closes: #1029106.
    - Adds a --shuffle option to change argument order. Closes: #314306.
    - Exports variables to commands started by $(shell ...).
      Closes: #327154, #895835.
    - No longer tries to run directories as commands. Closes: #969813.
    - Reduces the stack usage of filter and filter-out. Closes: #992444.
    - Uses named pipes for the job server, making it available in
      sub-invocations of Make through $(shell ...). Closes: #1010504.
    - Checks for malformed environment variables. Closes: #1034700.
  * Update and split patches.
  * Fix Lintian and cme warnings.
  * Update copyright years and add myself to d/copyright.
  * Simplify Debian build system and drop unnecessary Build-Depends.
    Closes: #1060240.
  * Add autopkgtest.
  * Add Build-Profiles <!noguile> to make-guile in d/control. Closes: #993944.
  * Fix large command line on POSIX systems. Closes: #973884.

  [ наб ]
  * Fix spacing errors in d/make.1. Closes: #1010190.

  [ Stephen Kitt ]
  * New upstream release, 4.4.1.
  * Adopt the package; thanks Manoj for your maintenance work over the
    years! Closes: #1083140.
  * Build-depend on pkgconf instead of pkg-config.
  * Standards-Version 4.7.0, no further change required.
  * Move the repository to the common Debian namespace on Salsa.

 -- Stephen Kitt <skitt@debian.org>  Wed, 18 Dec 2024 19:03:44 +0100

make-dfsg (4.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * make-guile: fix broken symlinks /usr/bin/gmake and
    /usr/share/man/man1/gmake.1.gz. (Closes: #986240)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 10 Apr 2021 15:55:15 +0200

make-dfsg (4.3-4) unstable; urgency=high

  * Cherry picked [SV 58232] Disable inheritance of jobserver FDs for
    recursive make from ther development branch
  * Bug fix: "FTBFS: E: Build killed with signal TERM after 150 minutes of
    inactivity", thanks to Lucas Nussbaum (Closes: #963335).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 30 Jun 2020 00:58:36 -0700

make-dfsg (4.3-3) unstable; urgency=medium

  * Fix ordering if include dirs
    There has been a long standind bug where INCLUDE_DIRS /usr/include is
    included twice.  The more important problem is it is before the
    /usr/local/include. This commit fixes the ordering.
  * Bug fix: "/usr/local/include is wrong priority in default
    include_dirs", thanks to Alex Samad (Closes: #493523).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 05 Jun 2020 18:59:32 -0700

make-dfsg (4.3-2) unstable; urgency=medium

  * Fixes critical bugs
  * Bug fix: "Broken symlinks: /usr/bin/gmake,
    /usr/share/man/man1/gmake.1.gz", thanks to Peter Wienemann (Closes:
    #961860). I forgot that we must use absolute pathnames,
  * Bug fix: "Could the error message &quot;Profiling timer
    expired&quot;?", thanks to Hugo Herbelin (Closes: #601474). This bug
    is a decade old, and I can't reprodsuce it. I have not seen other
    people being able to reproduce it either, and the codebase has changed
    massively. If you have a recipe that can reproduce this with recent
    versions, please do reopen the bug

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 04 Jun 2020 21:57:28 -0700

make-dfsg (4.3-1) unstable; urgency=medium

  * New upstream version (Closes: #951038).
  * Bug fix: "man page/info doc enhancement", thanks to Michael Stone
    (Closes: #912291).
  * Bug fix: "[PATCH] make-dfsg: Please add support for a
    &quot;noguile&quot; build-profile.", thanks to Karsten Merker
    (Closes: #892566). The "noguile" profile results in dropping the
    build-dependency on guile-2.0-dev and disabling the creation of the
    "make-guile" binary package.  This eases (cross-)building the make
    package when bootstrapping a new architecture.
  * Bug fix: "please provide /usr/bin/gmake", thanks to Helmut Grohne
    (Closes: #898101).
  * Bug fix: "&#39;make -Orecurse&#39; does not work as expected", thanks
    to Michael Olbrich (Closes: #909009).Reverted back to upstream
    version.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 20 May 2020 17:07:47 -0700

make-dfsg (4.2.1-2) unstable; urgency=medium

  * Update to acknowledge NMUs by Rob Browning and Ben Hutchings.
    Thank you.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 03 May 2020 17:55:19 -0700

make-dfsg (4.2.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against guile-3.0; drop 1.8 and 2.0. (Closes: 885213)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 24 Apr 2020 20:02:33 -0500

make-dfsg (4.2.1-1.3~1.gbpe4407c) UNRELEASED; urgency=medium

  ** SNAPSHOT build @e4407cc53d66f2b594143ee73167cc64eac69ebe **

  * Non-maintainer upload.
  * UNRELEASED

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 24 Apr 2020 19:15:55 -0500

make-dfsg (4.2.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix validation of long names in archives (regression in 4.2.1-1.1)
    (Closes: #904749)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 28 Jul 2018 18:07:31 +0800

make-dfsg (4.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Resolve issues discovered by static code analysis.

