=== debian/control ===
Source: make-dfsg
Maintainer: Stephen Kitt <skitt@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               guile-3.0-dev <!noguile>,
               pkgconf,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/make
Vcs-Git: https://salsa.debian.org/debian/make.git
Homepage: https://www.gnu.org/software/make/

Package: make
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: make-doc,
Conflicts: make-guile,
Replaces: make-guile,
Description: utility for directing compilation
 GNU Make is a utility which controls the generation of executables
 and other target files of a program from the program's source
 files. It determines automatically which pieces of a large program
 need to be (re)created, and issues the commands to (re)create
 them. Make can be used to organize any task in which targets (files)
 are to be automatically updated based on input files whenever the
 corresponding input is newer --- it is not limited to building
 computer programs. Indeed, Make is a general purpose dependency
 solver.

Package: make-guile
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: make-doc,
Conflicts: make,
Provides: make (= ${source:Version}),
Replaces: make,
Description: utility for directing compilation with guile support
 GNU Make is a utility which controls the generation of executables
 and other target files of a program from the program's source
 files. It determines automatically which pieces of a large program
 need to be (re)created, and issues the commands to (re)create
 them. Make can be used to organize any task in which targets (files)
 are to be automatically updated based on input files whenever the
 corresponding input is newer --- it is not limited to building
 computer programs. Indeed, Make is a general purpose dependency
 solver. This variant has built in guile support.
Build-Profiles: <!noguile>
