=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

BUILDDIR_NORMAL = debian/build-make
BUILDDIR_GUILE  = debian/build-make-guile

export DEB_BUILD_MAINT_OPTIONS := hardening=+all qa=+bug reproducible=+all
export DEB_CFLAGS_MAINT_APPEND := -Wall

include /usr/share/dpkg/architecture.mk
# Some test cases fail on arm64 because of GCS-related warnings
ifeq ($(DEB_HOST_ARCH), arm64)
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,gcs-report-dynamic=none
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -pmake-guile -B$(BUILDDIR_GUILE) -- --with-guile
	dh_auto_configure -pmake -B$(BUILDDIR_NORMAL) -- --without-guile

override_dh_auto_build:
	dh_auto_build -pmake-guile -B$(BUILDDIR_GUILE)
	dh_auto_build -pmake -B$(BUILDDIR_NORMAL)

override_dh_auto_test:
	dh_auto_test -pmake-guile -B$(BUILDDIR_GUILE)
	dh_auto_test -pmake -B$(BUILDDIR_NORMAL)

override_dh_auto_install:
	dh_auto_install -pmake-guile -B$(BUILDDIR_GUILE) --destdir=debian/make-guile
	dh_auto_install -pmake -B$(BUILDDIR_NORMAL) --destdir=debian/make

override_dh_auto_clean:
	dh_auto_clean -pmake-guile -B$(BUILDDIR_GUILE)
	dh_auto_clean -pmake -B$(BUILDDIR_NORMAL)

#Local variables:
#mode: makefile
#End:
