=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ \
 https://ftp.gnu.org/gnu/make/make-(.*)\.tar\.gz
